// This program is designed for OKI-E5003 board
// It shows how to work with ADC convertot
//
// NOTICE!!! This measuring is very simple and inexact

#include <ioml67q5003.h>
#include "system.h"
#include "adc.h"
#include "lcd.h"

void DelayS (unsigned long a) { while (--a!=0); }

int main()
{

  // Freq init
  FreqInit();
  // System Init
  SysInit();
  // Init ADC
  InitADC();
  // Init LCD
  LCDInit();
  LCDSendCommand(DISP_ON); //LCD on

  // loop forever
  while(1) {
    CalcTemp(GetADCValue2());
    CalcVolt(GetADCValue1());
    DelayS(2000000);
  }
}
