// system.c
#include "system.h"
#include <ioml67q5003.h>

// Init Frequency
void FreqInit(void) {
  // NOTICE!!!
  // Clock control is menaged from external switch
  //    CLKMD1    CLKMD0    PLL
  //      0         1        1
  //      1         0        4
  //      1         1        8

  // HCLK and CCLK clock signals are 1/1 from base clock.
  CGBCNT0   = 0x003c;   // key value
  CGBCNT0   = 0x0000;
}


// System Init
void SysInit()
{
  //SET 16 bit mode
  unsigned long *s = (unsigned long*)0x78300000;
  *s = 0x80;

  //max speed
  IO23ACY_bit.IO23TYPE = 0x7;
}



